org.apache.ignite.internal.visor.util

## Class VisorClusterGroupEmptyException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.apache.ignite.IgniteException
        - - org.apache.ignite.cluster.ClusterTopologyException
          - - org.apache.ignite.cluster.ClusterGroupEmptyException
            - - org.apache.ignite.internal.visor.util.VisorClusterGroupEmptyException

All Implemented Interfaces:
  Serializable

    public class VisorClusterGroupEmptyException
    extends ClusterGroupEmptyException

Exception to throw from Visor tasks in case of empty topology.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`VisorClusterGroupEmptyException(String msg)` Creates exception with given error message.

### Method Summary

### Methods inherited from class org.apache.ignite.cluster.ClusterTopologyException

`retryReadyFuture, retryReadyFuture`

### Methods inherited from class org.apache.ignite.IgniteException

`getCause, hasCause, toString`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### VisorClusterGroupEmptyException

    public VisorClusterGroupEmptyException(String msg)

Creates exception with given error message.

Parameters:
  `msg` - Error message.

2018 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 2.4.0
Release Date | : March 5 2018